Home Manual Packages Global Index Keywords Quick Reference Language Reference Function Reference I/O Reference | # Yorick Quick Reference Cards A set of quick reference cards for yorick fits onto three double sided US letter sheets. The TeX source for these pages is refs.tex, which is part of the yorick source distribution. To print or to view them with Adobe Acrobat, download refs.pdf. The original constraint to fit onto six sheets makes the organization of this Quick Reference somewhat illogical; in particular, the division between the "Language" and "Function" sheets is somewhat arbitrary. Note that the "I/O" sheet includes graphics.
Language Reference Starting and Quitting Yorick Getting Help Error Recovery Array Data Types Constants Defining Variables Arithmetic and Comparison Operators Logical Operators Creating Arrays Indexing Arrays Array Conformability Rules Calling Functions Defining Functions Variable Scope Returning from Functions Compound Statements Conditional Execution Loops | Function Reference Including Source Files Comments Issuing Shell Commands Matrix Multiplication Information About Variables Elementary Functions Advanced Array Indexing Index Range Functions Logical Functions Interpolation and Lookup Functions Sorting Transposing Manipulating Strings Generating Simple Meshes Using Pointers Instancing Data Structures Reshaping Arrays | I/O Reference Opening and Closing Text Files Reading Text Writing Text Positioning a Text File Opening and Closing Binary Files Saving and Restoring Variables Reading History Records Writing History Records Opening Non-PDB Files Making Plots Plot Paging and Hardcopy Setting Plot Limits Managing Graphics Windows Graphics Query, Edit, and Defaults